local lu = require("luaunit")
local ngx = require("ngx")

require("do_init")

function test_anonymous_access_to_public_site_accepted()
  -- given
  ngx.req.reset()
  ngx.reset_var()
  ngx.var.request_uri = "/public/page"
  -- when
  local resp = require("do_access")
  -- then
  lu.assertTrue(resp) -- require changes nil into true
  lu.assertNil(ngx.req.header["Cookie"])
end

os.exit(lu.LuaUnit.run())
