local lu = require("luaunit")
local conf = require("ssso_config")

local here = debug.getinfo(1).source:sub(2, -18)
conf.load_conf(here)

function test_config()
  lu.assertEquals(conf.get_auth_commands(), {
    check = "if [ \"\rp.\" == \"goodpassword\" ]; then printf '%s\\n%s\\n' '\ru.' '\ru.@example.org'; fi",
  })
  lu.assertEquals(conf.get_session_seconds(), 3600)
  lu.assertEquals(conf.get_sso_host(), "my-domain.tld")
  lu.assertEquals(conf.get_sso_prefix(), "/ssso")
end

os.exit(lu.LuaUnit.run())
