local lu = require("luaunit")
local ngx = require("ngx")

require("do_init")

function test_portal_url_is_for_authenticated_users_only()
  -- given
  ngx.reset_resp_body()
  ngx.reset_var()
  ngx.var.request_method = "GET"
  ngx.var.request_uri = "/ssso/portal"
  -- when
  local resp = require("do_access")
  -- then
  lu.assertEquals(resp, "307:https://my-domain.tld/ssso/login?back=/ssso/portal&cause=401")
end

os.exit(lu.LuaUnit.run())
