local lu = require("luaunit")
local sha256 = require("resty.sha256")

function test_sha256()
  local sha1 = sha256:new()
  sha1:update("test")
  local sha2 = sha256:new()
  sha2:update("other")
  lu.assertEquals(sha1:final(), "9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08")
  lu.assertEquals(sha2:final(), "d9298a10d1b0735837dc4bd85dac641b0f3cef27a47e5d53a54f2f3f5b2fcffa")
end

os.exit(lu.LuaUnit.run())
